List TikTok trending feed
List currently trending TikTok posts for a region.
Headers
Get your API keyAPI key (`sfk_...`)
Two-letter ISO 3166-1 country code for the request.
When true, requests a smaller response with fewer optional fields.
Endpoint-specific response payload.
Trending TikTok posts for this request. Repeat the same request for a fresh batch that may include new and overlapping posts.
Core identity and media type for a trending TikTok post.
TikTok post identifier.
min 1 chars
Canonical public TikTok URL for the post.
Caption text.
ISO-8601 timestamp when the post was created.
Two-letter country code when available.
Duration in milliseconds when available.
≥ 0
Whether the post is a video or photo slideshow.
one of: video, slideshow
Whether TikTok marks the post as an ad.
Creator of the trending post when available.
Numeric user id.
Stable opaque user id.
Public username without a leading @.
Display name.
Whether the account is verified.
Profile picture URL.
Profile bio text.
Two-letter country code when available.
Engagement metrics for a trending post.
View count.
≥ 0
Like count.
≥ 0
Comment count.
≥ 0
Share count.
≥ 0
Save or collection count.
≥ 0
Media URLs for a trending post.
Thumbnail or cover image URL.
Best available downloadable video URL.
Download URL without watermark when available.
Ordered image URLs for photo slideshow posts.
Additional TikTok-native fields for this post, excluding fields already shown above.
Number of posts in data.items for this response.
≥ 0
Metadata describing the request and billing outcome.
Unique request identifier for tracing this API call.
min 1 chars
Credits charged for this request.
≥ 0
Public API version that served the response.
one of: v1
Present, and `true`, only when the source couldn't be reached and this is the last good answer for the same request instead, up to 24 hours old. Absent on every live answer.
one of: true
When a stale answer (`stale: true`) was originally fetched (ISO 8601, UTC). Absent on every live answer.
Code example
curl "https://api.socialfetch.dev/v1/tiktok/feed/trending?region=US" \
-H "x-api-key: YOUR_API_KEY"Responses
Trending TikTok posts for this request.